package plugins;

import teikade.sys.PluginCommand;
import teikade.sys.CodePath;
import teikade.gui.TeikadeFrame;
import teikade.gui.Transcript;
import teikade.gui.dialog.TeikadeDialog;

public class DialogPlugin implements PluginCommand {
    public void initialize(String name) {
	Transcript.getTranscript().message("initialize: " + name + "\n");
    }

    public void invoke(String name, Object frame, CodePath target) {
	TeikadeDialog dialog =
		new TeikadeDialog((TeikadeFrame)frame,
				"target CodePath", target.printString());
	dialog.show();
    }

    public boolean isInvocableFor(String name, Object frame, CodePath target) {
	return target != null;
    }
}
