package teikade.debug;
import teikade.net.Packet;

public class RunApplet extends Packet {
    String className;
    String classPath;
    String html;

    public RunApplet() {
    }

    public RunApplet(String className, String classPath, String html) {
	this.className = className;
	this.classPath = classPath;
	this.html = html;
    }

    /**
     * format: RunApplet("package.className", "clasPath", "URL of HTML")
     */
    public void init() throws IllegalArgumentException {
	className = getStringArgument();
	classPath = getStringArgument();
	html = getStringArgument();
    }

    public void execute(Object target) {
	// ((DebuggerManager)target).runNotify(this);
    }

    /**
     * format: RunApplet("package.className", "classPath", "URL of HTML")
     */
    public String argumentsToString() {
	return toStreamString(className) + ", "
		+ toStreamString(classPath) + ", "
		+ toStreamString(html);
    }

    public String getClassName() {
	return className;
    }

    public String getClassPath() {
	return classPath;
    }

    public String getHtml() {
	return html;
    }
}
