/*
 * Copyright (c) 1996 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.component;

import java.awt.*;

public class SplitPanel extends Panel {
    public static final boolean HORIZONTAL = SplitLayout.HORIZONTAL;
    public static final boolean VERTICAL   = SplitLayout.VERTICAL;
    public static final boolean FOLLOW_ONE = SplitLayout.FOLLOW_ONE;
    public static final boolean FOLLOW_ALL = SplitLayout.FOLLOW_ALL;

    public SplitPanel(boolean direction) {
	setLayout(new SplitLayout(direction));
    }

    public SplitPanel(boolean direction, boolean following) {
	setLayout(new SplitLayout(direction, following));
    }

    public void addSplitHandle() {
	add(new SplitHandle());
    }
}
