/*
 * Copyright (c) 1995 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.dialog;

import teikade.lang.JavaLexical;
import teikade.gui.component.*;
import java.awt.*;

public class NewPackageDialog extends TeikadeDialog {
    String name;

    public NewPackageDialog(Frame frame) {
	super(frame, "new package", "");
    }

    public void actionLeftButton() {
	name = getText().trim();
	if (name.length() == 0) return;
	int illegal = JavaLexical.isIdentifier(name, ".");
	if (illegal >= 0) {
	    information("illegal character '" + name.charAt(illegal) +
						"' for package name");
	    return;
	}
	super.actionLeftButton();
    }

    public String getName() {
	return name;
    }
}
