/*
 * Copyright (c) 1997 PFU Limited.
 *	author Kazuhisa Shirakami
 */
package teikade.gui.editor;

import teikade.sys.SystemManager;

public class ClipBoard {
    private static ClipBoardPeer peer;
    static {
	if (SystemManager.onJDK1_1) {
	    peer = new ClipBoard1_1();
	} else {
	    peer = new ClipBoard1_0();
	}
    }
	
    public static void setString(String str) {
	peer.setString(str);
    }

    public static String getString() {
	return peer.getString();
    }
}
