/*
 * Copyright (c) 1998 PFU Limited.
 *      author Kazuhisa Shirakami
 */
package teikade.util;

import java.util.Enumeration;

public interface CompileTarget {
    /**
     * Update the target list and class path.
     */
    public void update();

    /**
     * Gets the target enumeration.
     */
    public Enumeration getItems();

    /**
     * Gets the target count.
     */
    public int getItemsCount();

    /**
     * Gets the target name.
     */
    public String getItemAt(int index);

    /**
     * Gets the class path for target.
     */
    public String getClassPath();
}
